Index: wodim/cue.c
===================================================================
--- wodim/cue.c	(revision 832)
+++ wodim/cue.c	(revision 838)
@@ -73,6 +73,18 @@
 	int	flags;
 } state_t;
 
+static	char	linebuf[4096];
+static	char	*fname;
+static	char	*linep;
+static	char	*wordendp;
+static	char	wordendc;
+static	int	olinelen;
+static	int	linelen;
+static	int	lineno;
+
+static	char	worddelim[] = "=:,/";
+static	char	nulldelim[] = "";
+
 #define	STATE_NONE	0
 #define	STATE_POSTGAP	1
 #define	STATE_TRACK	2
@@ -253,7 +265,6 @@
 static	char	*peekword(void);
 static	char	*lineend(void);
 static	char	*markword(char *delim);
-static	char	getdelim(void);
 static	char	*getnextitem(char *delim);
 static	char	*neednextitem(char *delim);
 static	char	*nextword(void);
@@ -746,7 +757,7 @@
 	if (kp == NULL)
 		cueabort("Unknown filetype '%s'", word);
 
-	if (getdelim() == '/') {
+	if (wordendc == '/') {
 		word = needitem();
 		if (*astol(++word, &secsize) != '\0')
 			cueabort("Not a number '%s'", word);
@@ -991,18 +1002,6 @@
  * Parser low level functions start here...
  */
 
-static	char	linebuf[4096];
-static	char	*fname;
-static	char	*linep;
-static	char	*wordendp;
-static	char	wordendc;
-static	int	olinelen;
-static	int	linelen;
-static	int	lineno;
-
-static	char	worddelim[] = "=:,/";
-static	char	nulldelim[] = "";
-
 static void 
 wdebug()
 {
@@ -1038,7 +1037,7 @@
 
 	do {
 		fillbytes(linebuf, sizeof (linebuf), '\0');
-		len = fgetline(f, linebuf, sizeof (linebuf));
+		len = rols_fgetline(f, linebuf, sizeof (linebuf));
 		if (len < 0)
 			return (NULL);
 		if (len > 0 && linebuf[len-1] == '\r') {
@@ -1127,12 +1126,6 @@
 	return (linep);
 }
 
-static char 
-getdelim()
-{
-	return (wordendc);
-}
-
 static char *
 getnextitem(char *delim)
 {
Index: wodim/wodim.c
===================================================================
--- wodim/wodim.c	(revision 832)
+++ wodim/wodim.c	(revision 838)
@@ -3964,7 +3964,7 @@
 #endif
 		} else
 #endif
-		if (fgetline(tty, ans, 1) < 0)
+		if (rols_fgetline(tty, ans, 1) < 0)
 			comerrno(EX_BAD, "Aborted by EOF on input.\n");
 	}
 	usalp->silent--;
Index: include/schily.h
===================================================================
--- include/schily.h	(revision 832)
+++ include/schily.h	(revision 838)
@@ -112,17 +112,17 @@
 extern	FILE	*_fcons(FILE *, int, int);
 extern	FILE	*fdup(FILE *);
 extern	int	fdown(FILE *);
-extern	int	fexecl(const char *, FILE *, FILE *, FILE *, const char *, ...);
-extern	int	fexecle(const char *, FILE *, FILE *, FILE *, const char *, ...);
+extern	int	rols_fexecl(const char *, FILE *, FILE *, FILE *, const char *, ...);
+extern	int	rols_fexecle(const char *, FILE *, FILE *, FILE *, const char *, ...);
 		/* 6th arg not const, fexecv forces av[ac] = NULL */
-extern	int	fexecv(const char *, FILE *, FILE *, FILE *, int, char **);
-extern	int	fexecve(const char *, FILE *, FILE *, FILE *, char * const *, 
+extern	int	rols_fexecv(const char *, FILE *, FILE *, FILE *, int, char **);
+extern	int	rols_fexecve(const char *, FILE *, FILE *, FILE *, char * const *, 
 							  char * const *);
 extern	int	fspawnv(FILE *, FILE *, FILE *, int, char * const *);
 extern	int	fspawnl(FILE *, FILE *, FILE *, const char *, const char *, ...);
 extern	int	fspawnv_nowait(FILE *, FILE *, FILE *, const char *, int, 
 										char *const*);
-extern	int	fgetline(FILE *, char *, int);
+extern	int	rols_fgetline(FILE *, char *, int);
 extern	int	fgetstr(FILE *, char *, int);
 extern	void	file_raise(FILE *, int);
 extern	int	fileclose(FILE *);
@@ -190,7 +190,7 @@
 extern	char	*fillbytes(void *, int, char);
 extern	char	*findbytes(const void *, int, char);
 extern	int	findline(const char *, char, const char *, int, char **, int);
-extern	int	getline(char *, int);
+extern	int	rols_getline(char *, int);
 extern	int	getstr(char *, int);
 extern	int	breakline(char *, char, char **, int);
 extern	int	getallargs(int *, char * const**, const char *, ...);
--- libusal/scsi-unixware.c	(revision 832)
+++ libusal/scsi-unixware.c	(revision 838)
@@ -891,7 +891,7 @@
 		setuid(0);
 
 		fclose(pp[0]);
-		(void) fexecl("/bin/sh", stdin, pp[1], stderr,
+		(void) rols_fexecl("/bin/sh", stdin, pp[1], stderr,
 					"sh", "-c", cmd, (char *)0);
 		_exit(1);
 	}
Index: libusal/scsitransp.c
===================================================================
--- libusal/scsitransp.c	(revision 832)
+++ libusal/scsitransp.c	(revision 838)
@@ -301,7 +301,7 @@
 
 	printf("%s", msg);
 	flush();
-	if (getline(okbuf, sizeof (okbuf)) == EOF)
+	if (rols_getline(okbuf, sizeof (okbuf)) == EOF)
 		exit(EX_BAD);
 	if (streql(okbuf, "y") || streql(okbuf, "yes") ||
 	    streql(okbuf, "Y") || streql(okbuf, "YES"))
Index: librols/stdio/fgetline.c
===================================================================
--- librols/stdio/fgetline.c	(revision 832)
+++ librols/stdio/fgetline.c	(revision 838)
@@ -37,7 +37,7 @@
  */
 
 EXPORT int
-fgetline(f, buf, len)
+rols_fgetline(f, buf, len)
 	register	FILE	*f;
 			char	*buf;
 	register	int	len;
@@ -76,9 +76,9 @@
 }
 
 EXPORT int
-getline(buf, len)
+rols_getline(buf, len)
 	char	*buf;
 	int	len;
 {
-	return (fgetline(stdin, buf, len));
+	return (rols_fgetline(stdin, buf, len));
 }
Index: librols/spawn.c
===================================================================
--- librols/spawn.c	(revision 832)
+++ librols/spawn.c	(revision 838)
@@ -143,7 +143,7 @@
 				 * silly: fexecv must set av[ac] = NULL
 				 * so we have to cast argv tp (char **)
 				 */
-	fexecv(name, in, out, err, argc, (char **)argv);
+	rols_fexecv(name, in, out, err, argc, (char **)argv);
 	exit(geterrno());
 	/* NOTREACHED */
 }
Index: librols/fexec.c
===================================================================
--- librols/fexec.c	(revision 832)
+++ librols/fexec.c	(revision 838)
@@ -34,13 +34,13 @@
 #include <mconfig.h>
 #include <stdio.h>
 #include <standard.h>
-#define	fexecl	__nothing_1_	/* prototype in schily.h is wrong */
-#define	fexecle	__nothing_2_	/* prototype in schily.h is wrong */
+#define	rols_fexecl	__nothing_1_	/* prototype in schily.h is wrong */
+#define	rols_fexecle	__nothing_2_	/* prototype in schily.h is wrong */
 #include <schily.h>
-#undef	fexecl
-#undef	fexecle
-	int fexecl	__PR((const char *, FILE *, FILE *, FILE *, ...));
-	int fexecle	__PR((const char *, FILE *, FILE *, FILE *, ...));
+#undef	rols_fexecl
+#undef	rols_fexecle
+	int rols_fexecl  __PR((const char *, FILE *, FILE *, FILE *, ...));
+	int rols_fexecle __PR((const char *, FILE *, FILE *, FILE *, ...));
 #include <unixstd.h>
 #include <stdxlib.h>
 #include <strdefs.h>
@@ -66,10 +66,10 @@
 
 #ifdef	PROTOTYPES
 EXPORT int
-fexecl(const char *name, FILE *in, FILE *out, FILE *err, ...)
+rols_fexecl(const char *name, FILE *in, FILE *out, FILE *err, ...)
 #else
 EXPORT int
-fexecl(name, in, out, err, va_alist)
+rols_fexecl(name, in, out, err, va_alist)
 	char	*name;
 	FILE	*in;
 	FILE	*out;
@@ -113,7 +113,7 @@
 	} while (p != NULL);
 	va_end(args);
 
-	ret = fexecv(name, in, out, err, ac, av);
+	ret = rols_fexecv(name, in, out, err, ac, av);
 	if (av != xav)
 		free(av);
 	return (ret);
@@ -121,10 +121,10 @@
 
 #ifdef	PROTOTYPES
 EXPORT int
-fexecle(const char *name, FILE *in, FILE *out, FILE *err, ...)
+rols_fexecle(const char *name, FILE *in, FILE *out, FILE *err, ...)
 #else
 EXPORT int
-fexecle(name, in, out, err, va_alist)
+rols_fexecle(name, in, out, err, va_alist)
 	char	*name;
 	FILE	*in;
 	FILE	*out;
@@ -170,25 +170,25 @@
 	} while (p != NULL);
 	va_end(args);
 
-	ret = fexecve(name, in, out, err, av, env);
+	ret = rols_fexecve(name, in, out, err, av, env);
 	if (av != xav)
 		free(av);
 	return (ret);
 }
 
 EXPORT int
-fexecv(name, in, out, err, ac, av)
+rols_fexecv(name, in, out, err, ac, av)
 	const char *name;
 	FILE *in, *out, *err;
 	int ac;
 	char *av[];
 {
 	av[ac] = NULL;			/*  force list to be null terminated */
-	return (fexecve(name, in, out, err, av, environ));
+	return (rols_fexecve(name, in, out, err, av, environ));
 }
 
 EXPORT int
-fexecve(name, in, out, err, av, env)
+rols_fexecve(name, in, out, err, av, env)
 	const char *name;
 	FILE *in, *out, *err;
 	char * const av[], * const env[];
Index: librols/getdomainname.c
===================================================================
--- librols/getdomainname.c	(revision 832)
+++ librols/getdomainname.c	(revision 838)
@@ -83,7 +83,7 @@
 	if (f == NULL)
 		return (-1);
 
-	while (fgetline(f, name1, sizeof (name1)) >= 0) {
+	while (rols_fgetline(f, name1, sizeof (name1)) >= 0) {
 		if ((p = strchr(name1, '#')) != NULL)
 			*p = '\0';
 
Index: readom/io.c
===================================================================
--- readom/io.c	(revision 832)
+++ readom/io.c	(revision 838)
@@ -130,7 +130,7 @@
 		(*prt)(s, *lp, mini, maxi, dp);
 		flush();
 		line[0] = '\0';
-		if (getline(line, 80) == EOF)
+		if (rols_getline(line, 80) == EOF)
 			exit(EX_BAD);
 
 		linep = skipwhite(line);
@@ -178,7 +178,7 @@
 	vprintf(form, args);
 	va_end(args);
 	flush();
-	if (getline(okbuf, sizeof(okbuf)) == EOF)
+	if (rols_getline(okbuf, sizeof(okbuf)) == EOF)
 		exit(EX_BAD);
 	if (okbuf[0] == '?') {
 		printf("Enter 'y', 'Y', 'yes' or 'YES' if you agree with the previous asked question.\n");
Index: readom/readom.c
===================================================================
--- readom/readom.c	(revision 832)
+++ readom/readom.c	(revision 838)
@@ -1605,7 +1605,7 @@
 		fprintf(stderr, "Copy from SCSI (%d,%d,%d) disk to file\n",
 					usal_scsibus(usalp), usal_target(usalp), usal_lun(usalp));
 		fprintf(stderr, "Enter filename [%s]: ", defname); flush();
-		(void) getline(filename, sizeof (filename));
+		(void) rols_getline(filename, sizeof (filename));
 	}
 
 	if (askrange) {
@@ -1772,7 +1772,7 @@
 		fprintf(stderr, "Copy from file to SCSI (%d,%d,%d) disk\n",
 					usal_scsibus(usalp), usal_target(usalp), usal_lun(usalp));
 		fprintf(stderr, "Enter filename [%s]: ", defname); flush();
-		(void) getline(filename, sizeof (filename));
+		(void) rols_getline(filename, sizeof (filename));
 		fprintf(stderr, "Notice: reading from file always starts at file offset 0.\n");
 
 		getlong("Enter starting sector for copy:", &addr, 0L, end-1);
